# SdFat: Arduino/libraries/SdFat/SdBaseFilePrint.cpp File Reference

SdBaseFilePrint.cpp File Reference
`#include <SdFat.h>`
`#include <utility/FmtNumber.h>`
Include dependency graph for SdBaseFilePrint.cpp:

## Functions

static void | print2u (Print *pr, uint8_t v)
template<typename Type >
static int | printFieldT (SdBaseFile *file, char sign, Type value, char term)

## Function Documentation

static void print2u | ( | Print * | pr,
|  | uint8_t | v
| ) |  |

static

template<typename Type >

static int printFieldT | ( | SdBaseFile * | file,
|  | char | sign,
|  | Type | value,
|  | char | term
| ) |  |

static

Template for SdBaseFile::printField()